complexType "FxSpotRateSource"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 3 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | primaryRateSource?, secondaryRateSource?, fixingTime?
</...>

Content Model Elements (3):

  fixingTime (defined in FxSpotRateSource complexType), primaryRateSource, | secondaryRateSource

All Direct / Indirect Based Elements (3):

  fxSpotRateSource (defined in FxFixing complexType), fxSpotRateSource (defined in Quanto complexType), | rateSource (in fx)

Known Usage Locations

- As direct type of elements (3):

  fxSpotRateSource (defined in FxFixing complexType), fxSpotRateSource (defined in Quanto complexType), | rateSource (in fx)

Annotation
A type defining the source and time for an fx rate.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="FxSpotRateSource"> <xsd:sequence> <xsd:element minOccurs="0" name="primaryRateSource" type="InformationSource"/> <xsd:element minOccurs="0" name="secondaryRateSource" type="InformationSource"/> <xsd:element minOccurs="0" name="fixingTime" type="BusinessCenterTime"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
fixingTime

  Type: | BusinessCenterTime, complex content

  The time at which the spot currency exchange rate will be observed. It is specified as a time in a business day calendar location, e.g. 11:00am London time.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixingTime" type="BusinessCenterTime"/>

primaryRateSource

  Type: | InformationSource, complex content

  The primary source for where the rate observation will occur. Will typically be either a page or a reference bank published rate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="primaryRateSource" type="InformationSource"/>

secondaryRateSource

  Type: | InformationSource, complex content

  An alternative, or secondary, source for where the rate observation will occur. Will typically be either a page or a reference bank published rate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="secondaryRateSource" type="InformationSource"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.